Bug 1298591 - search feature in hosts page does nothing
search feature in hosts page does nothing
Status: VERIFIED
Product: Red Hat Storage Console
Classification: Red Hat
Component: UI (Show other bugs)
2
Unspecified Unspecified
medium Severity medium
: ---
: 2
Assigned To: Sankarshan Mukhopadhyay
Martin Bukatovic
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-14 08:55 EST by Martin Bukatovic
Modified: 2016-07-20 11:31 EDT (History)
3 users (show)

See Also:
Fixed In Version: rhscon-ui-0.0.46-1.el7scon.noarch
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Bukatovic 2016-01-14 08:55:52 EST
Description of problem
======================

Search feature in Hosts page doesn't work.

Version-Release number of selected component
============================================

# rpm -qa | grep rhsc
rhscon-ui-0.0.6-0.1.alpha1.el7.noarch
rhscon-core-0.0.6-0.1.alpha1.el7.x86_64
rhscon-ceph-0.0.4-0.1.alpha1.el7.x86_64

How reproducible
================

100 %

Steps to Reproduce
==================

1. Accept at least 2 hosts via web ui
2. Go to "Hosts" page
3. Check that you see all hosts in the page.
4. Type name of one of the hosts in the search input box (so that the search query would match only single host)

Actual results
==============

Nothing happens, all hosts are still shown in the page.

Expected results
================

Only hosts which matches search query are shown, which would be only single host in our case.

Additional info
===============

The same Search input box is present in Tasks page where it works as expected: only tasks which matches search query are shown on the page.
Comment 3 Ju Lim 2016-06-17 09:21:08 EDT
It appears to mostly work but there are some corner cases when it does not work.
Comment 4 Martin Bukatovic 2016-07-20 11:16:02 EDT
Checking with rhscon-ui-0.0.48-1.el7scon.noarch

Searching for a single host works on the Hosts page works (as described in
the reproducer).

>> VERIFIED (as far as this BZ is concerned)

That said:

 * the search on the Hosts page seems to filter only hosts with names
   starting with the query
 * on the other hand, the search on tasks page filters substrings as well
 * the fact that BZ 1341614 was pushed out effectively means that QE have
   no idea how the search should actually work

Note You need to log in before you can comment on or make changes to this bug.